org.apache.poi.sl.draw.binding

## Class CTSystemColor

- java.lang.Object
- - org.apache.poi.sl.draw.binding.CTSystemColor

-     public class CTSystemColor
      extends java.lang.Object

  Java class for CT_SystemColor complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="CT_SystemColor">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://schemas.openxmlformats.org/drawingml/2006/main}EG_ColorTransform" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="val" use="required" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_SystemColorVal" />
             <attribute name="lastClr" type="{http://schemas.openxmlformats.org/drawingml/2006/main}ST_HexBinary3" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<javax.xml.bind.JAXBElement<?>>` | `egColorTransform`
    `protected byte[]` | `lastClr`
    `protected java.lang.String` | `val`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTSystemColor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<javax.xml.bind.JAXBElement<?>>` | `getEGColorTransform()` Gets the value of the egColorTransform property.
    `byte[]` | `getLastClr()` Gets the value of the lastClr property.
    `java.lang.String` | `getVal()` Gets the value of the val property.
    `boolean` | `isSetEGColorTransform()`
    `boolean` | `isSetLastClr()`
    `boolean` | `isSetVal()`
    `void` | `setLastClr(byte[] value)` Sets the value of the lastClr property.
    `void` | `setVal(java.lang.String value)` Sets the value of the val property.
    `void` | `unsetEGColorTransform()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### egColorTransform

          protected java.util.List<javax.xml.bind.JAXBElement<?>> egColorTransform

    - #### val

          protected java.lang.String val

    - #### lastClr

          protected byte[] lastClr

  - ### Constructor Detail

    - #### CTSystemColor

          public CTSystemColor()

  - ### Method Detail

    - #### getEGColorTransform

          public java.util.List<javax.xml.bind.JAXBElement<?>> getEGColorTransform()

      Gets the value of the egColorTransform property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the egColorTransform property.

      For example, to add a new item, do as follows:

              getEGColorTransform().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTInverseGammaTransform``>` `JAXBElement``<``CTInverseTransform``>` `JAXBElement``<``CTGrayscaleTransform``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPositiveFixedAngle``>` `JAXBElement``<``CTPositivePercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTGammaTransform``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTFixedPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPositiveFixedPercentage``>` `JAXBElement``<``CTPositiveFixedPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTAngle``>` `JAXBElement``<``CTPositivePercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPercentage``>` `JAXBElement``<``CTPositiveFixedPercentage``>` `JAXBElement``<``CTComplementTransform``>`

    - #### isSetEGColorTransform

          public boolean isSetEGColorTransform()

    - #### unsetEGColorTransform

          public void unsetEGColorTransform()

    - #### getVal

          public java.lang.String getVal()

      Gets the value of the val property.
      Returns:
        possible object is `String`

    - #### setVal

          public void setVal(java.lang.String value)

      Sets the value of the val property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetVal

          public boolean isSetVal()

    - #### getLastClr

          public byte[] getLastClr()

      Gets the value of the lastClr property.
      Returns:
        possible object is `String`

    - #### setLastClr

          public void setLastClr(byte[] value)

      Sets the value of the lastClr property.
      Parameters:
        `value` - allowed object is `String`

    - #### isSetLastClr

          public boolean isSetLastClr()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.